| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Static Public Attributes
com.symantec.sepm.webservice.common.constants.WebServiceConstants Class Reference

Specifies the constants that are used by the web service classes. More...

## Static Public Attributes
static final String | PORT_STRING = "Port"
| Port label (string) for web services communication. More...
static final String | LICENSE_SERVICE_NAME = "LicenseService"
| License web service name. More...
static final String | LICENSE_TARGET_NAMESPACE = "http://license.admin.webservice.sepm.symantec.com/"
| Target namespace for license web service. More...
static final String | LICENSE_SERVICE_PORT = LICENSE_SERVICE_NAME + PORT_STRING
| Port name for license web service. More...
static final String | COMMAND_SERVICE_NAME = "CommandService"
| Command web service name. More...
static final String | COMMAND_TARGET_NAMESPACE = "http://command.client.webservice.sepm.symantec.com/"
| Target namespace for command web service. More...
static final String | COMMAND_SERVICE_PORT = COMMAND_SERVICE_NAME + PORT_STRING
| Port name for command web service. More...
static final String | POLICY_SERVICE_NAME = "PolicyService"
| Policy web service name. More...
static final String | POLICY_TARGET_NAMESPACE = "http://policy.webservice.sepm.symantec.com/"
| Target namespace for policy web service. More...
static final String | POLICY_SERVICE_PORT = POLICY_SERVICE_NAME + PORT_STRING
| Port name for policy web service. More...
static final String | CLIENT_SERVICE_NAME = "ClientService"
| Client web service name. More...
static final String | CLIENT_TARGET_NAMESPACE = "http://client.webservice.sepm.symantec.com/"
| Target namespace for client web service. More...
static final String | CLIENT_SERVICE_PORT = CLIENT_SERVICE_NAME + PORT_STRING
| Port name for client web service. More...
static final String | LIVEUPDATE_SERVICE_NAME = "LiveUpdateService"
| LiveUpdate web service name. More...
static final String | LIVEUPDATE_TARGET_NAMESPACE = "http://liveupdate.webservice.sepm.symantec.com/"
| Target namespace for LiveUpdate web service. More...
static final String | LIVEUPDATE_SERVICE_PORT = LIVEUPDATE_SERVICE_NAME + PORT_STRING
| Port name for LiveUpdate web service. More...
static final int | MAX_PAGE_SIZE = 1000
| Maximum page size for web services paging operations. More...

## Detailed Description

Specifies the constants that are used by the web service classes.

## Member Data Documentation

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.PORT_STRING = "Port"
| static

Port label (string) for web services communication.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.LICENSE_SERVICE_NAME = "LicenseService"
| static

License web service name.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.LICENSE_TARGET_NAMESPACE = "http://license.admin.webservice.sepm.symantec.com/"
| static

Target namespace for license web service.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.LICENSE_SERVICE_PORT = LICENSE_SERVICE_NAME + PORT_STRING
| static

Port name for license web service.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.COMMAND_SERVICE_NAME = "CommandService"
| static

Command web service name.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.COMMAND_TARGET_NAMESPACE = "http://command.client.webservice.sepm.symantec.com/"
| static

Target namespace for command web service.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.COMMAND_SERVICE_PORT = COMMAND_SERVICE_NAME + PORT_STRING
| static

Port name for command web service.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.POLICY_SERVICE_NAME = "PolicyService"
| static

Policy web service name.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.POLICY_TARGET_NAMESPACE = "http://policy.webservice.sepm.symantec.com/"
| static

Target namespace for policy web service.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.POLICY_SERVICE_PORT = POLICY_SERVICE_NAME + PORT_STRING
| static

Port name for policy web service.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.CLIENT_SERVICE_NAME = "ClientService"
| static

Client web service name.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.CLIENT_TARGET_NAMESPACE = "http://client.webservice.sepm.symantec.com/"
| static

Target namespace for client web service.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.CLIENT_SERVICE_PORT = CLIENT_SERVICE_NAME + PORT_STRING
| static

Port name for client web service.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.LIVEUPDATE_SERVICE_NAME = "LiveUpdateService"
| static

LiveUpdate web service name.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.LIVEUPDATE_TARGET_NAMESPACE = "http://liveupdate.webservice.sepm.symantec.com/"
| static

Target namespace for LiveUpdate web service.

final String com.symantec.sepm.webservice.common.constants.WebServiceConstants.LIVEUPDATE_SERVICE_PORT = LIVEUPDATE_SERVICE_NAME + PORT_STRING
| static

Port name for LiveUpdate web service.

final int com.symantec.sepm.webservice.common.constants.WebServiceConstants.MAX_PAGE_SIZE = 1000
| static

Maximum page size for web services paging operations.